package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_report.InsCaseInfo;
import com.bcxin.ins.vo.report_pac.InsCommonReportVo;
import com.bcxin.mybatisplus.service.IService;

public interface InsCaseInfoAPIService extends IService<InsCaseInfo> {

	public InsCaseInfo initInsCaseInfo(Long user_id,Long report_id);

	public void accordingToTheInsCommonReportVoSetUpInsCaseInfo(InsCommonReportVo vo, Long report_id);

	public void getInsCommonReportVoByReportID(InsCommonReportVo vo, Long report_id);

	public boolean delectInsCaseInfoByOid(Long oid);

	public boolean delectAllInsCaseInfo(Long oid);

}
